Skip to main content
POST
Mute or Time Out a User in Chat
Prevents a user from posting chat messages in a broadcaster’s chat. Mutes belong to the broadcaster and apply to every broadcast they host. Pass the numeric id of the user to mute as user_id in the request body. user_id is the only required field. Without broadcast_id, you mute the user in your own chats. You don’t need a live broadcast to do this. Chat moderators pass broadcast_id to mute the user in that broadcast host’s chats. The broadcast must be live. See List Broadcast Moderators for how moderators are managed. Pass an optional message_id to remove that chat message at the same time. This is useful when muting is in response to a particular message. message_id requires broadcast_id. Pass an optional end_at_ms to time the mute out at a specific Unix timestamp in milliseconds. Omit end_at_ms to mute the user indefinitely. You can’t mute the broadcast owner.
To reverse this, use Unmute a Chat User. To see who you have muted, use List Muted Chat Users. To remove an individual message without muting its author, use Delete a Chat Message.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

broadcast.read

View your live broadcasts and their chat.

broadcast.write

Manage your live broadcasts and send chat messages on your behalf.

Body

application/json
user_id
string
required

The user to mute.

Pattern: ^[1-9][0-9]{0,18}$
broadcast_id
string

A broadcast whose host's chats the user is muted in. Required with message_id.

Pattern: ^[a-zA-Z0-9]{1,24}$
end_at_ms
string

The Unix timestamp in milliseconds when the mute expires. Omit this field to mute indefinitely.

Pattern: ^[1-9][0-9]{0,18}$
message_id
string

A chat message in broadcast_id to remove while muting the user.

Pattern: ^[1-9][0-9]{0,18}$

Response

The request has succeeded.

data
object
errors
object[]